halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Protected Attributes | Static Protected Attributes | Friends
hal::HDF5BottomSegment Class Reference
Inheritance diagram for hal::HDF5BottomSegment:

List of all members.

## Public Member Functions
| HDF5BottomSegment (HDF5Genome *genome, HDF5ExternalArray *array, hal_index_t index)
| ~HDF5BottomSegment ()
hal_size_t | getLength () const
void | setLength (hal_size_t length)
const Genome * | getGenome () const
Genome * | getGenome ()
hal_index_t | getStartPosition () const
void | setStartPosition (hal_index_t startPos)
hal_index_t | getNextParalogyIndex () const
void | setNextParalogyIndex (hal_index_t parIdx)
hal_size_t | getNumChildren () const
hal_index_t | getChildIndex (hal_size_t i) const
void | setChildIndex (hal_size_t i, hal_index_t childIndex)
hal_bool_t | getChildReversed (hal_size_t i) const
void | setChildReversed (hal_size_t child, hal_bool_t isReversed)
hal_index_t | getTopParseIndex () const
void | setTopParseIndex (hal_index_t parseIndex)
hal_offset_t | getTopParseOffset () const
void | setTopParseOffset (hal_offset_t parseOffset)
hal_index_t | getArrayIndex () const
## Static Public Member Functions
static H5::CompType | dataType (hal_size_t numChildren)
static hal_size_t | numChildrenFromDataType (const H5::DataType &dataType)
## Static Protected Member Functions
static const size_t | totalSize (hal_size_t numChildren)
## Protected Attributes
HDF5ExternalArray * | _array
hal_index_t | _index
HDF5Genome * | _genome
## Static Protected Attributes
static const size_t | genomeIndexOffset = 0
static const size_t | lengthOffset = sizeof(hal_index_t)
static const size_t | topIndexOffset = lengthOffset + sizeof(hal_size_t)
static const size_t | topOffsetOffset = topIndexOffset + sizeof(hal_index_t)
static const size_t | parIndexOffset = topOffsetOffset + sizeof(hal_offset_t)
static const size_t | firstChildOffset = parIndexOffset + sizeof(hal_index_t)
## Friends
class | HDF5TopSegmentIterator
class | HDF5BottomSegmentIterator

## Constructor & Destructor Documentation

HDF5BottomSegment::HDF5BottomSegment | ( | HDF5Genome * | genome,
|  | HDF5ExternalArray * | array,
|  | hal_index_t | index
| ) |  |

Constructor

Parameters:

  genome | Smart pointer to genome to which segment belongs
  array | HDF5 array containg segment
  index | Index of segment in the array

HDF5BottomSegment::~HDF5BottomSegment | ( |  | ) |

Destructor

## Member Function Documentation

hal_index_t hal::HDF5BottomSegment::getArrayIndex | ( |  | ) | const`[inline, virtual]`

Get the index of the segment in the segment array

Implements hal::Segment.

hal_index_t hal::HDF5BottomSegment::getChildIndex | ( | hal_size_t | i | ) | const`[inline, virtual]`

Get the index of a child segment (OR NULL_INDEX if none)

Parameters:

  i | index of child to query

Implements hal::BottomSegment.

hal_bool_t hal::HDF5BottomSegment::getChildReversed | ( | hal_size_t | i | ) | const`[inline, virtual]`

Get whether descent segment for ith child is mapped to the reverse complement of this segment

Parameters:

  i | index of child to query

Implements hal::BottomSegment.

const Genome * hal::HDF5BottomSegment::getGenome | ( |  | ) | const`[inline, virtual]`

Get the containing (read-only) genome

Implements hal::Segment.

Genome * hal::HDF5BottomSegment::getGenome | ( |  | ) | `[inline, virtual]`

Get the containing genome

Implements hal::Segment.

hal_size_t hal::HDF5BottomSegment::getLength | ( |  | ) | const`[inline, virtual]`

Get the length of the segment (number of bases)

Implements hal::Segment.

hal_index_t hal::HDF5BottomSegment::getNextParalogyIndex | ( |  | ) | const`[inline, virtual]`

Get index of the next paralogous segment in the genome

Implements hal::Segment.

hal_size_t hal::HDF5BottomSegment::getNumChildren | ( |  | ) | const`[inline, virtual]`

Get the number of child genomes (note this is a number of slots and that the current segment could actually have fewer children)

Implements hal::BottomSegment.

hal_index_t hal::HDF5BottomSegment::getStartPosition | ( |  | ) | const`[inline, virtual]`

Get the segment's start position in the genome

Implements hal::Segment.

hal_index_t hal::HDF5BottomSegment::getTopParseIndex | ( |  | ) | const`[inline, virtual]`

Get index of top segment in samge genome that contains this segment's start coordinate

Implements hal::BottomSegment.

hal_offset_t hal::HDF5BottomSegment::getTopParseOffset | ( |  | ) | const`[inline, virtual]`

Get offset in associated top segment of start coordinate of this segment

Implements hal::BottomSegment.

void hal::HDF5BottomSegment::setChildIndex | ( | hal_size_t | i,
|  | hal_index_t | childIndex
| ) |  | `[inline, virtual]`

Set the index of a child segment (OR NULL_INDEX if none)

Parameters:

  i | index of child to set
  childIndex | index of segment in child to set

Implements hal::BottomSegment.

void hal::HDF5BottomSegment::setChildReversed | ( | hal_size_t | child,
|  | hal_bool_t | isReversed
| ) |  | `[inline, virtual]`

Set whether descent segment for ith child is mapped to the reverse complement of this segment

Parameters:

  i | index of child to set
  isReverse | flag

Implements hal::BottomSegment.

void hal::HDF5BottomSegment::setLength | ( | hal_size_t | length | ) | `[inline, virtual]`

Set the length of the segment

Parameters:

  length | New length of segment

Implements hal::Segment.

void hal::HDF5BottomSegment::setNextParalogyIndex | ( | hal_index_t | parIdx | ) | `[inline, virtual]`

Set index of the next paralogous segment in the genome

Parameters:

  parIdx | of next segment in same genome that is homologous to this segment

Implements hal::Segment.

void hal::HDF5BottomSegment::setStartPosition | ( | hal_index_t | startPos | ) | `[inline, virtual]`

Set the segment's start position in the genome

Parameters:

  startPos | Start position

Implements hal::Segment.

void hal::HDF5BottomSegment::setTopParseIndex | ( | hal_index_t | parseIndex | ) | `[inline, virtual]`

Set index of top segment in samge genome that contains this segment's start coordinate

Parameters:

  parParseIndex | index

Implements hal::BottomSegment.

void hal::HDF5BottomSegment::setTopParseOffset | ( | hal_offset_t | parseOffset | ) | `[inline, virtual]`

Set offset in associated top segment of start coordinate of this segment

Parameters:

  parpArseOffset | offset in parent

Implements hal::BottomSegment.

The documentation for this class was generated from the following files:

- hdf5_impl/hdf5BottomSegment.h
- hdf5_impl/hdf5BottomSegment.cpp

All Classes Namespaces Functions Variables Friends